using Entities.DTO;

namespace TechHelper.Client.Services
{
	public interface IExamService
	{
		public Task<ApiResponse> FormatExam(string examContent);
		public Task<ApiResponse> DividExam(string examContent);
		public Task<ApiResponse> SaveParsedExam(ExamDto assiDto);
		public Task<ApiResponse> ParseSingleQuestionGroup(string examContent);
		public ApiResponse ConvertToXML<T>(string xmlContent);

		public Task<ApiResponse> GetAllExam();
		public Task<ApiResponse> GetExam(Guid guid);
		public Task<ApiResponse> SubmissionAssignment(SubmissionDto submission);
		public Task<ApiResponse> GetAllSubmission();
	}
}
